Bug 698502 - xdg-open <directory> in GNOME 3 runs Konqueror
xdg-open <directory> in GNOME 3 runs Konqueror
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
15
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-20 23:33 EDT by Andy Lutomirski
Modified: 2011-04-29 21:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: shared-mime-info-0.90-7.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-29 21:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Lutomirski 2011-04-20 23:33:20 EDT
If I open a terminal and run:

$ xdg-open .

I get a konqueror window.

The bug appears to be that /usr/share/applications/defaults.list contains:

inode/directory=gnome-nautilus-folder-handler.desktop

when it should contain:

inode/directory=nautilus.desktop


Making that change manually fixes it.
Comment 1 Andy Lutomirski 2011-04-21 07:52:47 EDT
This problem affects the folders in the Places menu as well as xdg-open IIRC.
Comment 2 Fedora Update System 2011-04-21 12:10:29 EDT
shared-mime-info-0.90-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/shared-mime-info-0.90-7.fc15
Comment 3 Fedora Update System 2011-04-21 20:10:39 EDT
Package shared-mime-info-0.90-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shared-mime-info-0.90-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/shared-mime-info-0.90-7.fc15
then log in and leave karma (feedback).
Comment 4 Andy Lutomirski 2011-04-22 00:11:21 EDT
Done.  I downloaded the package from Koji.

Thanks for the fast fix!  If only the other three bugs I submitted in my first day using F15 Beta got fixed so quickly :)
Comment 5 Fedora Update System 2011-04-29 21:38:45 EDT
shared-mime-info-0.90-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.